/*
 * @author Venkat Subramaniam
 * DuraSoft, Inc.
 * http://www.durasoftcorp.com/download
 */

using System;

namespace Attributes
{
	[Serializable]
	public class Sample
	{
		[NonSerialized] private int aField1;
		private int aField2;

		[Obsolete("Please use increment instead", false)]
		public void inc() 
		{//...
			aField1++;
		}

		public void increment()
		{
			aField2++;
		}
	}
}
